# BJT(Bipolar junction transistor)

BC557 is BJT. Bipolar Junction Transistors (BJTs) are three terminal semiconductor devices used to amplify signals They consist of 2 PN Junction diodes attached side by side helping to get an amplifying effect on input signals. It is a high voltage VCEO = -65 V,  Switching and Amplifier.

## BJT(BC557)

```
* BC557 BJT model
.MODEL BC_557 PNP( Is=3.834E-14 Xti=3 Eg=1.11 Vaf=21.11 Bf=800 Ne=1.528 Ise=1.219E-14 Ikf=0.08039 Xtb=0 Br=14.84 Nc=1.28 Isc=2.852E-13 Ikr=0.047 Rc=0.5713 Cjc=1.084E-11 Mjc=0.3563 Vjc=0.1022 Fc=0.8027 Cje=1.23E-11 Mje=0.378 Vje=0.6106 Tr=1E-32 Tf=5.595E-10 Itf=0.1483 Vtf=5.23 Xtf=3.414 Rb=1 )

```

## BJT(BC547B)

```
* BC547B BJT model
.model BC547B NPN(IS=1.8E-14 BF=400 NF=0.9955 VAF=80 IKF=0.14 ISE=5E-14  NE=1.46 BR=35.5 NR=1.005 VAR=12.5 IKR=0.03 ISC=1.72E-13 NC=1.27 RB=0.56  RE=0.6 RC=0.25 CJE=1.3E-11 TF=6.4E-10 CJC=4E-12 VJC=0.54 TR=5.072E-8)

```
## BJT(BC107)

```
* BC107 BJT model
.MODEL BC107 NPN( Is=1.527f Xti=3  Eg=1.11  Vaf=1.06.8 Bf=334.5 Ne=1.642 Ise=222f Ikf=0.1596 Xtb=1.5  Br=0788 Nc=2  Isc=0  Ikr=0  Rc=0.6 Cjc=6.072p Mjc=.3333 Vjc=.75  Fc=.5  Cje=10.67p Mje=.3333 Vje=.75  Tr=10n Tf=471.8p Itf=0 Vtf=0 Xtf=0 Rb=3 )

```


## Usage/Examples

Audio amplifiers in small radios

Electronic buzzers

Electronic bells

## Documentation

To know the details of BC557 BJT please go through with the documentation : [BC557_datasheet](https://pdf1.alldatasheet.com/datasheet-pdf/view/532903/FAIRCHILD/BC557.html)

## Documentation

To know the details of BC547B BJT please go through with the documentation : [BC547B_datasheet](https://pdf1.alldatasheet.com/datasheet-pdf/view/596621/FAIRCHILD/BC547.html)

## Documentation

To know the details of BC107 BJT please go through with the documentation : [BC107_datasheet](https://pdf1.alldatasheet.com/datasheet-pdf/view/16088/PHILIPS/BC107.html)



## Comments/Notes

Please note this is a complete Device modeling. 

## Contributer

Name: E BALAKRISHNA

Email: balakrishnaeppili0920@gmail.com

Year: 2022

Position: FOSSEE Summer Fellow 2022
